Skip to main content
GET
/
v1
/
scrape
/
reddit
/
subreddit
/
search
Subreddit Search
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/reddit/subreddit/search \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "success": true,
    "posts": {
      "0": {
        "id": "t3_1o09lhe",
        "post_id": "t3_1o09lhe",
        "title": "Daily Simple Questions Thread - October 07, 2025",
        "url": "https://www.reddit.com/r/Fitness/comments/1o09lhe/daily_simple_questions_thread_october_07_2025/",
        "permalink": "/r/Fitness/comments/1o09lhe/daily_simple_questions_thread_october_07_2025/",
        "nsfw": false,
        "spoiler": false,
        "is_crosspost": false,
        "subreddit": {
          "id": "t5_2qhx4",
          "name": "Fitness",
          "nsfw": false,
          "quarantined": false,
          "icon": "https://b.thumbs.redditmedia.com/Ted4KOMuRbaCYlDS55cTqjpVVZ2ENHKtYFbBFjI1i2o.png",
          "banner": null,
          "description": "A place for the pursuit of physical fitness goals.\n\nPlease see the r/Fitness Wiki and FAQ at https://thefitness.wiki for help with common questions.",
          "weekly_visitors": 913382,
          "weekly_contributions": 2229
        },
        "votes": 22,
        "num_comments": 128,
        "created_at": "2025-10-07T09:01:26.103000+0000",
        "created_at_iso": "2025-10-07T09:01:26.103Z",
        "thumbnail": null,
        "thumbnail_blurred": false,
        "position": 0,
        "relative_position": 0
      }
    },
    "cursor": "eyJjYW5kaWRhdGVzX3JldHVybmVkIjoie1wic2VjdGlvbl8xX3BpcGVsaW5lXzBfZ2xvYmFsX21vZGlmaWVyc1wiOlwiM1wiLFwic2VjdGlvbl8xX3BpcGVsaW5lXzFfbG9jYWxfbW9kaWZpZXJzXCI6XCIzXCIsXCJzZWN0aW9uXzJfcGlwZWxpbmVfN19wb3N0X3NlYXJjaFwiOlwiN1wiLFwic2VjdGlvbl8zX3BpcGVsaW5lXzBfc2lkZWJhcl9jb21tdW5pdHlfaW5mb1wiOlwiMFwifSIsImV4cGVyaWVuY2Vfc2VsZWN0aW9uIjoicG9zdF93aXRoX2NvbW11bml0eV9zaWRlYmFyIiwiZXhwZXJpZW5jZV92ZXJzaW9uIjoiZGVmYXVsdCIsInNlY3Rpb25fMl9waXBlbGluZV83X3Bvc3Rfc2VhcmNoIjoiNyJ9"
  },
  "creditsUsed": 1
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

subreddit
string
required

Subreddit name (e.g. 'Fitness', not 'r/Fitness' or a full URL)

Example:

"Fitness"

query
string

Search query to find matching content

Example:

"push ups"

filter
enum<string>

Type of content to search for (default: posts). Response will only include the matching key

Available options:
posts,
comments,
media
Example:

"posts"

sort
enum<string>

Sort order. For posts/media: relevance, hot, top, new, comments. For comments: relevance, top, new

Available options:
relevance,
hot,
top,
new,
comments
Example:

"relevance"

timeframe
enum<string>

Timeframe to filter results

Available options:
all,
year,
month,
week,
day,
hour
Example:

"all"

cursor
string

Cursor for pagination. Get 'cursor' from previous response

Response

Successful response with search results